Subject: Re: AltiVec in the kernel

From: Arnd Bergmann <[email-masked]>
Date: Fri, 11 Dec 2009 16:49:25 +0100

On Friday 11 December 2009, Simon Richter wrote:
> Hi,
> 
> since there has been a thread on allowing the use of a coprocessor in
> the kernel already: I am wondering if it'd make sense to use AltiVec for
> AES in dm-crypt, and how difficult it would be to implement that.
> 
> I'm using a PegasosII which has a G4 running at 1 GHz; I get around 3
> MB/s throughput when accessing harddisks. I think that could be
> improved.
> 
> If I understand correctly, the actual encryption work runs in a kernel
> thread, which is scheduled normally, so it ought to be possible to
> enable AltiVec for that thread; am I missing something here?

Sebastian Siewior has implemented this some time ago:

http://old.nabble.com/-RFC-0-3--Experiments-with-AES-AltiVec,-part-2-tc10034255.html

You can try the old patches on your machine to see if they are any good
there.

	Arnd <><